Categories:
  - Phone & SMS
  - Security
License: GPL-3.0-only
SourceCode: https://gitlab.com/sultanahamer/OpenContacts
IssueTracker: https://gitlab.com/sultanahamer/OpenContacts/issues
Translation: https://crowdin.com/project/opencontacts
Changelog: https://gitlab.com/sultanahamer/OpenContacts/blob/HEAD/CHANGELOG

AutoName: OpenContacts

RepoType: git
Repo: https://gitlab.com/sultanahamer/OpenContacts.git

Builds:
  - versionName: '3.0'
    versionCode: 3
    commit: v3
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 4
    commit: v4.0
    subdir: app
    gradle:
      - yes

  - versionName: '5.0'
    versionCode: 5
    commit: v5.0
    subdir: app
    gradle:
      - yes

  - versionName: '6.0'
    versionCode: 6
    commit: v6.0
    subdir: app
    gradle:
      - yes

  - versionName: '7.0'
    versionCode: 7
    commit: v7.0
    subdir: app
    gradle:
      - yes

  - versionName: '9.0'
    versionCode: 9
    commit: v9.0
    subdir: app
    gradle:
      - yes

  - versionName: '10.0'
    versionCode: 10
    disable: fails to build
    commit: v10.0
    subdir: app
    gradle:
      - yes

  - versionName: '11.0'
    versionCode: 11
    commit: v11.0
    subdir: app
    gradle:
      - yes

  - versionName: '12.0'
    versionCode: 12
    commit: v12.0
    subdir: app
    gradle:
      - yes

  - versionName: '13.0'
    versionCode: 13
    commit: v13.0
    subdir: app
    gradle:
      - yes

  - versionName: '14.0'
    versionCode: 14
    commit: v14.0
    subdir: app
    gradle:
      - yes

  - versionName: '15.0'
    versionCode: 15
    disable: lintVitalRelease fails
    commit: v15.0
    subdir: app
    gradle:
      - yes

  - versionName: '16.0'
    versionCode: 16
    commit: v16.0
    subdir: app
    gradle:
      - yes

  - versionName: '17.0'
    versionCode: 17
    commit: v17.0
    subdir: app
    gradle:
      - yes

  - versionName: '18.0'
    versionCode: 18
    commit: v18.0
    subdir: app
    gradle:
      - yes

  - versionName: '20.0'
    versionCode: 20
    commit: f87db6f471729e1d505649d1542f569e6b57ab86
    subdir: app
    gradle:
      - yes

  - versionName: '21.0'
    versionCode: 21
    commit: v21.0
    subdir: app
    gradle:
      - yes

  - versionName: '22.0'
    versionCode: 22
    commit: b6754f64d05f0a97266f07c95088f4485ef66eb9
    subdir: app
    gradle:
      - yes

  - versionName: '23.0'
    versionCode: 23
    commit: 47606b69f291998c2c7013e2836d14c11c0aac94
    subdir: app
    gradle:
      - yes

  - versionName: '24.0'
    versionCode: 24
    commit: c6dc82dbd9539b86b386d874b9e70ab7b4b1655f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '24.0'
CurrentVersionCode: 24
